Subject: [APPS-REVIEW] Fwd: SMS URI spec question

From: Lisa Dusseault <[email-masked]>
Date: Fri, 31 Aug 2007 08:47:28 -0700

The SMS URI draft:

http://www.ietf.org/internet-drafts/draft-wilde-sms-uri-12.txt

has a bunch of URL parameters which are instructions not only to the  
agent originating the SMS message (similar to the subject in   
mailto:[email-masked];subject=HelloWorld ) but also instructions to  
the SMSC (SMS Center).   Some features even instruct the SMSC to send  
multiple messages, or gateway to a different protocol, or both.

I'm hoping that Apps reviewers plus mailto schema experts can either  
quell my qualms or inform them.  Any thoughts?

Lisa

Begin forwarded message:

> From: Erik Wilde <[email-masked]>
> Date: August 30, 2007 4:49:47 PM PDT
> To: Lisa Dusseault <[email-masked]>
> Cc: [email-masked]
> Subject: Re: SMS URI spec question
>
> hello lisa.
>
> thanks for your email and working on our draft!
>
>> How is this stuff about the SMSC doing fanout or gatewaying  
>> accomplished?  Does the user agent (the client where this URI is  
>> originally used) forward the pid metadata to the SMSC server?   
>> What am I missing about how that works?
>
> you are not missing anything, it works in the way that you  
> mentioned, the pid metadata is part of the sms being sent. on older  
> nokia phones, you could actually control these parameters, but at  
> some point nokia (at least i think so, correct me if i am wrong,  
> antti) removed these options, and maybe eventually network  
> operators then even stopped supporting them. i do remember sending  
> fax and email using this functionality from my mobile phone, but i  
> also do remember the very awkward way in which this had to be done.  
> however, all of this is still part of the sms spec. does this  
> answer your question?
>
> cheers,
>
> dret.

_______________________________________________
APPS-REVIEW mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/apps-review